Name:		qiv
Version:	2.3.1
Release:	%mkrel 3
Summary:	Gdk/imlib image viewer
License:	GPL+
Group:		Graphics/Viewers
Url:    	http://spiegl.de/qiv/
Source0:	http://spiegl.de/qiv/download/%{name}-%{version}.tgz
BuildRequires:	gtk+2-devel >= 2.12
BuildRequires:	libimlib2-devel
BuildRequires:	libmagic-devel
BuildRequires:	libxinerama-devel
BuildRequires:	liblcms2-devel
BuildRequires:	jpeg-devel
BuildRequires:	geotiff-devel
BuildRequires:	libexif-devel

%description
qiv is a fast image viewer for X based on gdk and imlib.

%prep
%setup -q -n %{name}-%{version}

%build
%make CFLAGS="%optflags %ldflags"

%install
mkdir -p %{buildroot}%{_bindir}

#don't change this to %_mandir, since Makefile is not BM

mkdir -p %{buildroot}{%{_bindir},%{_mandir}/man1}
perl -pi -e 's!PREFIX\)/man/man1!PREFIX\)/share/man/man1!g' Makefile
DISPLAY="" make PREFIX=%{buildroot}%{_prefix} install
cp contrib/%{name}-command.example %{buildroot}%{_bindir}/%{name}-command

%files
%doc README Changelog README.COPYING README.INSTALL
%{_bindir}/%{name}
%{_bindir}/%{name}-command
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 2.3.1-3.mga5
+ Revision: 743633
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.1-2.mga5
+ Revision: 688487
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 dams <dams> 2.3.1-1.mga5
+ Revision: 592446
- new version 2.3.1

* Fri Oct 18 2013 umeabot <umeabot> 2.2.4-5.mga4
+ Revision: 517841
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.2.4-4.mga3
+ Revision: 379833
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 25 2012 tv <tv> 2.2.4-3.mga3
+ Revision: 309945
- adatp to new groups

* Mon Sep 19 2011 fwang <fwang> 2.2.4-2.mga2
+ Revision: 145373
- rebuild for new libpng

* Thu Jun 09 2011 tv <tv> 2.2.4-1.mga2
+ Revision: 102698
- new release

* Thu Mar 03 2011 jquelin <jquelin> 2.2.3-2.mga1
+ Revision: 62806
- mageia rebuild
- imported package qiv


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.3-2mdv2011.0
+ Revision: 614673
- the mass rebuild of 2010.1 packages

  + Götz Waschk <waschk@mandriva.org>
    - update build deps
    - update license

* Wed Jan 20 2010 Götz Waschk <waschk@mandriva.org> 2.2.3-1mdv2010.1
+ Revision: 494046
- update to new version 2.2.3

* Mon Jun 01 2009 Frederik Himpe <fhimpe@mandriva.org> 2.2.2-1mdv2010.0
+ Revision: 381834
- update to new version 2.2.2

* Sat May 30 2009 Frederik Himpe <fhimpe@mandriva.org> 2.2.1-1mdv2010.0
+ Revision: 381195
- Update to new version 2.2.1 (it's now a GTK+2 application)
- Adapt BuildRequires
- Remove old patches
- Use new URL

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.1-0.pre12.1mdv2008.1
+ Revision: 140742
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Aug 18 2007 Crispin Boylan <crisb@mandriva.org> 2.1-0.pre12.1mdv2008.0
+ Revision: 66472
- BuildRequires libxinerama-devel
- BuildRequires libxinerama
- New version, remove patch1 (merged)


* Wed Mar 07 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2.1-0.pre10.4mdv2007.1
+ Revision: 134775
- qiv should set attr.wmclass_class before calling gdk_window_new. This was
  causing crashed in x86_64 (#21417).
- Re-enabled building for x86_64

* Tue Nov 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.1-0.pre10.3mdv2007.1
+ Revision: 85963
- Import qiv

* Tue Nov 21 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1-0.pre10.3mdv2007.1
- qiv doesn't work on x86_64 (#21417)

* Tue Aug 15 2006 Gtz Waschk <waschk@mandriva.org> 2.1-0.pre10.2mdv2007.0
- fix URL
- fix buildrequires

* Tue Mar 28 2006 Gtz Waschk <waschk@mandriva.org> 2.1-0.pre10.1mdk
- add qiv-command
- new version

* Wed Aug 24 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.0-3mdk
- varargs fixes

* Thu Sep 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-2mdk
- Patch0: fix dithering on 15bpp display

* Thu Jun 17 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.0-1mdk
- 2.0

